@import "constants/index";
@import "helpers/index";
@import "base/index";
@import "components/countdown/countdown";

body,
.about {
    background-color: $luyghem-dark-brown;
}

.page-container {
    display: flex;
    flex-flow: column-reverse nowrap;

    @include media-breakpoint-up('md') {
        flex-direction: row;
    }
}

.map {
    &__container {
        height: 300px;
    }

    @include media-breakpoint-down('sm') {
        position: relative;
    }

    @include media-breakpoint-up('sm') {
        width: 50vw;

        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;

        &__container {
            height: 100%;
        }
    }

    @include media-breakpoint-up('lg') {
        width: 60vw;
    }
}

.about {
    padding: 40px;

    &__logo {
        width: 200px;
        margin-bottom: 20px;
    }

    &__title {
        margin-bottom: 20px;
    }

    &__content {
        margin-bottom: 40px;

        p {
            margin-bottom: 10px;
        }
    }

    @include media-breakpoint-up('sm') {
        padding: 50px 50px 50px calc(50vw + 50px);
    }

    @include media-breakpoint-up('lg') {
        width: 100vw;
        padding: 50px 50px 50px calc(60vw + 50px);
    }
}

.newsletter {
    &__content {
        margin-bottom: 20px;

        p {
            margin-bottom: 10px;
        }

        a {
            font-weight: 700;

            &:hover {
                text-decoration: underline;
            }
        }
    }
}

.newsletter-form {
    width: 100%;
    margin: 0 -20px -15px 0;

    &__item {
        display: flex;
        flex-direction: column;
        width: 100%;
        margin: 0 20px 15px 0;
        flex: 1;
    }
    
    &__item-group {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        margin: 0 -20px 0 0;

        &--horizontal {
            flex-direction: row;
        }
    }

    &__input {
        padding: 10px 15px;

        border: none;
        background-color: $luyghem-light-beige;

        font-size: 1.4rem;
    }

    &__label {
        display: block;

        font-size: 1.6rem;
        font-style: italic;
    }

    &__submit {
        margin-top: 10px;
    }
}

.button {
    @include font-base;
    @include font-xsmall;

    padding: 12px 30px 8px 30px;
    
    -webkit-appearance: none;
    border: 2px solid $luyghem-light-beige;
    background: none;
    cursor: pointer;
    transition: all 200ms ease-in-out; 
    
    color: $luyghem-light-beige;
    text-transform: uppercase;

    &:hover {
        background-color: $luyghem-light-beige;
        color: $luyghem-dark-brown;
    }
}

@media only screen and (min-width: 980px) {
    .gm-style-pbc {
        opacity: 0 !important;
    }
}